<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.14.1) on Sun Jun 12 10:38:58 CEST 2022 -->
<title>Grille</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Grille";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">src</a></div>
<h2 title="Class Grille" class="title">Class Grille</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.util.AbstractCollection&lt;E&gt;</li>
<li>
<ul class="inheritance">
<li>java.util.AbstractList&lt;E&gt;</li>
<li>
<ul class="inheritance">
<li>java.util.ArrayList&lt;java.util.List&lt;<a href="Case.html" title="class in src">Case</a>&gt;&gt;</li>
<li>
<ul class="inheritance">
<li>src.Grille</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Cloneable</code>, <code>java.lang.Iterable&lt;java.util.List&lt;<a href="Case.html" title="class in src">Case</a>&gt;&gt;</code>, <code>java.util.Collection&lt;java.util.List&lt;<a href="Case.html" title="class in src">Case</a>&gt;&gt;</code>, <code>java.util.List&lt;java.util.List&lt;<a href="Case.html" title="class in src">Case</a>&gt;&gt;</code>, <code>java.util.RandomAccess</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Grille</span>
extends java.util.ArrayList&lt;java.util.List&lt;<a href="Case.html" title="class in src">Case</a>&gt;&gt;</pre>
<div class="block">Classe gérant l'intégralité de la grille du Démineur.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#src.Grille">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbBombes">nbBombes</a></span></code></th>
<td class="colLast">
<div class="block">Attribut permettant de connaître le nombre de bombe a disperser sur la grille</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbColonnes">nbColonnes</a></span></code></th>
<td class="colLast">
<div class="block">Attribut permettant de connaître le nombre de colonnes de la grille</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbLignes">nbLignes</a></span></code></th>
<td class="colLast">
<div class="block">Attribut permettant de connaître le nombre de lignes de la grille</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.util.AbstractList">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.util.AbstractList</h3>
<code>modCount</code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int,int)">Grille</a></span>&#8203;(int&nbsp;nbLignes,
      int&nbsp;nbColonnes,
      int&nbsp;nbBombes)</code></th>
<td class="colLast">
<div class="block">Constructeur permettant de créer une grille de plusieurs cases.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#affiche()">affiche</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant d'afficher la grille avec les états actuels des cases</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#compteVoisinesMinees(src.Case)">compteVoisinesMinees</a></span>&#8203;(<a href="Case.html" title="class in src">Case</a>&nbsp;laCase)</code></th>
<td class="colLast">
<div class="block">Méthode permettant de compter le nombre de voisines minées autour de la case en question</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estGagne()">estGagne</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de savoir si une partie est gagnée</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estPerdu()">estPerdu</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de savoir si la partie est perdue.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#genererBombes()">genererBombes</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode privée générant le nombre de bombres indiquées dans le constructeur sur le nombre
 de cases dans la grille</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="Case.html" title="class in src">Case</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCase(int,int)">getCase</a></span>&#8203;(int&nbsp;l,
       int&nbsp;c)</code></th>
<td class="colLast">
<div class="block">Méthode permettant de récupérer une case en fonction de ses coordonées dans la grille</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNbBombes()">getNbBombes</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de connaître le nombre de bombes sur la grille</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNbColonnes()">getNbColonnes</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de connaître le nombre de colonnes de la grille</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNbLignes()">getNbLignes</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de connaître le nombre de lignes de la grille</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNombresDeCasesMarquee()">getNombresDeCasesMarquee</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de trouvé combien de case ont été marquées</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNombresDeCasesRevelee()">getNombresDeCasesRevelee</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de trouvé combien de case ont été rélévées</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ligneADessiner()">ligneADessiner</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode qui permet d'afficher la chaîne de caractère dessinant les bordures horizontales 
 de la grille qui est utilisée dans le méthode affiche()</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#revelerCase(int,int)">revelerCase</a></span>&#8203;(int&nbsp;numLig,
           int&nbsp;numCol)</code></th>
<td class="colLast">
<div class="block">Méthode permettant de révéler une case de la grille</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#revelerTout()">revelerTout</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de montrer la grille avec les cases révélées</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.util.ArrayList">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.ArrayList</h3>
<code>add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.util.AbstractCollection">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.AbstractCollection</h3>
<code>containsAll, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.Collection</h3>
<code>parallelStream, stream, toArray</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.util.List">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.List</h3>
<code>containsAll</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="nbLignes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbLignes</h4>
<pre>private&nbsp;int nbLignes</pre>
<div class="block">Attribut permettant de connaître le nombre de lignes de la grille</div>
</li>
</ul>
<a id="nbColonnes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbColonnes</h4>
<pre>private&nbsp;int nbColonnes</pre>
<div class="block">Attribut permettant de connaître le nombre de colonnes de la grille</div>
</li>
</ul>
<a id="nbBombes">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>nbBombes</h4>
<pre>private&nbsp;int nbBombes</pre>
<div class="block">Attribut permettant de connaître le nombre de bombe a disperser sur la grille</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,int,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Grille</h4>
<pre>public&nbsp;Grille&#8203;(int&nbsp;nbLignes,
              int&nbsp;nbColonnes,
              int&nbsp;nbBombes)</pre>
<div class="block">Constructeur permettant de créer une grille de plusieurs cases.
 On génère ensuite le nombre de bombes données de manière aléatoire dans la grille.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nbLignes</code> - </dd>
<dd><code>nbColonnes</code> - </dd>
<dd><code>nbBombes</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getNbLignes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbLignes</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getNbLignes()</pre>
<div class="block">Méthode permettant de connaître le nombre de lignes de la grille</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de lignes de la ligne</dd>
</dl>
</li>
</ul>
<a id="getNbColonnes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbColonnes</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getNbColonnes()</pre>
<div class="block">Méthode permettant de connaître le nombre de colonnes de la grille</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de colonnes de la grille</dd>
</dl>
</li>
</ul>
<a id="getNbBombes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbBombes</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getNbBombes()</pre>
<div class="block">Méthode permettant de connaître le nombre de bombes sur la grille</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de bombres sur la grille</dd>
</dl>
</li>
</ul>
<a id="getCase(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCase</h4>
<pre class="methodSignature">public&nbsp;<a href="Case.html" title="class in src">Case</a>&nbsp;getCase&#8203;(int&nbsp;l,
                    int&nbsp;c)</pre>
<div class="block">Méthode permettant de récupérer une case en fonction de ses coordonées dans la grille</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>l</code> - le numéro de ligne de la case dans la grille</dd>
<dd><code>c</code> - le numéro de colonne de la case dans le grille</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la case se trouvant aux coordonnées (l, c)</dd>
</dl>
</li>
</ul>
<a id="getNombresDeCasesRevelee()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNombresDeCasesRevelee</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getNombresDeCasesRevelee()</pre>
<div class="block">Méthode permettant de trouvé combien de case ont été rélévées</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de case révélées</dd>
</dl>
</li>
</ul>
<a id="getNombresDeCasesMarquee()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNombresDeCasesMarquee</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getNombresDeCasesMarquee()</pre>
<div class="block">Méthode permettant de trouvé combien de case ont été marquées</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de case marquées</dd>
</dl>
</li>
</ul>
<a id="genererBombes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>genererBombes</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;genererBombes()</pre>
<div class="block">Méthode privée générant le nombre de bombres indiquées dans le constructeur sur le nombre
 de cases dans la grille</div>
</li>
</ul>
<a id="revelerCase(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>revelerCase</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;revelerCase&#8203;(int&nbsp;numLig,
                        int&nbsp;numCol)</pre>
<div class="block">Méthode permettant de révéler une case de la grille</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numLig</code> - numéro de ligne de la case à révéler</dd>
<dd><code>numCol</code> - numéro de colonne de la case à révéler</dd>
</dl>
</li>
</ul>
<a id="compteVoisinesMinees(src.Case)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compteVoisinesMinees</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;compteVoisinesMinees&#8203;(<a href="Case.html" title="class in src">Case</a>&nbsp;laCase)</pre>
<div class="block">Méthode permettant de compter le nombre de voisines minées autour de la case en question</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>laCase</code> - la case dont on souhaite connaître le nombre de voisines minées</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de bombes autour de la case</dd>
</dl>
</li>
</ul>
<a id="affiche()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>affiche</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;affiche()</pre>
<div class="block">Méthode permettant d'afficher la grille avec les états actuels des cases</div>
</li>
</ul>
<a id="estPerdu()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estPerdu</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estPerdu()</pre>
<div class="block">Méthode permettant de savoir si la partie est perdue.
 On sait qu'une partie est perdue quand une case qui contient une bombe est révélée</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>si la partie est perdue</dd>
</dl>
</li>
</ul>
<a id="estGagne()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estGagne</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estGagne()</pre>
<div class="block">Méthode permettant de savoir si une partie est gagnée</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>si la partie est gagnée (toutes les cases ont été révélées sauf les bombes)</dd>
</dl>
</li>
</ul>
<a id="ligneADessiner()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ligneADessiner</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;ligneADessiner()</pre>
<div class="block">Méthode qui permet d'afficher la chaîne de caractère dessinant les bordures horizontales 
 de la grille qui est utilisée dans le méthode affiche()</div>
</li>
</ul>
<a id="revelerTout()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>revelerTout</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;revelerTout()</pre>
<div class="block">Méthode permettant de montrer la grille avec les cases révélées</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
